[R] package installation problems

From: Demmler J. <J.Demmler_at_swansea.ac.uk>
Date: Tue 18 Jul 2006 - 19:14:58 EST


Hello,

I just updated from R 2.1.1 to R 2.3.1 (I also updated from Fedora 3 to Fedora 4 if that is of any importance). However, several packages (e.g. fields etc.) refuse to be installed. I get the following error message:

[root@localhost R-files]# R CMD INSTALL fields_2.3.tar.gz * Installing *source* package 'fields' ...
** libs

g77 -fpic -O2 -g -pipe -m32 -march=i386 -mtune=pentium4 -c css.f -o css.o f771: invalid option `tune=pentium4'
make: *** [css.o] Error 1
ERROR: compilation failed for package 'fields'
** Removing '/usr/lib/R/library/fields'

For some reason -mtune is set to Pentium 4, although I'm using an Athlon-XP. I searched the files in the fields package for this line but couldn't find it. Other packages, like f.i. maps didn't have any problems.

I hope anyone can help me, as I need those packages urgently for my PhD project.

Joanne



R-help@stat.math.ethz.ch mailing list
https://stat.ethz.ch/mailman/listinfo/r-help PLEASE do read the posting guide! http://www.R-project.org/posting-guide.html and provide commented, minimal, self-contained, reproducible code. Received on Tue Jul 18 19:19:42 2006

Archive maintained by Robert King, hosted by the discipline of statistics at the University of Newcastle, Australia.
Archive generated by hypermail 2.1.8, at Tue 18 Jul 2006 - 20:17:09 EST.

Mailing list information is available at https://stat.ethz.ch/mailman/listinfo/r-help. Please read the posting guide before posting to the list.